
QGIS Application - Bug report #9834

Atlas weird behaviour

2014-03-22 08:42 PM - Antonio Locandro

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18365

Description

I have been using Atlas after Anita Graser told me about it, unfortunately I have found several bugs

1. Scale is not honored, I type a fix scale and it keeps resetting the scale

2. It works randomly, sometimes it works sometimes it doesn't

3. It doesn't work really good with openlayers base layers, it gives some nan extent things

4. After messing with options a lot sometimes it deletes the map composer view

5. I check the generate Atlas options, yet I have to check the map composer item controlled by Atlas option manually which seems not

good UI/UX design

I have made two videos to try to show what's happening

https://www.dropbox.com/s/wikdwltr4mcshuu/screencast_%20%2801%29.mp4

https://www.dropbox.com/s/aj9zm0s4mw84ffn/screencast_%20%2802%29.mp4

Platform Windows 7 and 8 using 64 bit OSGEO4W installer and latest Master

Related issues:

Related to QGIS Application - Bug report # 9839: Atlas does not honor "fixed ... Closed 2014-03-23

Related to QGIS Application - Bug report # 9840: Using Atlas with OpenLayers ... Closed 2014-03-23

Related to QGIS Application - Bug report # 9841: Atlas-controlled map vanishe... Closed 2014-03-23

Related to QGIS Application - Bug report # 9842: Selecting Atlas-controlled m... Closed 2014-03-23

History

#1 - 2014-03-23 02:17 AM - Anita Graser

- Affected QGIS version changed from 2.2.0 to master

- Category set to 33

- Target version set to Future Release - Lower Priority

#2 - 2014-03-23 02:25 AM - Anita Graser

Thanks for your input and the screencast. There is certainly a lot going on and I'll try to reproduce the issues to try get to the core of the problems.

In general, I think it is preferable to create one ticket per issue and try to provide instructions to reproduce the issue - if possible of course. But in this case,

since you have one video summarizing most of the issues, this collection ticket makes sense to me.

A related issue might be: preview and atlas scales are not synchronized #9602

#3 - 2014-03-23 02:31 AM - Giovanni Manghi
- Category changed from 33 to Map Composer/Printing

- Target version deleted (Future Release - Lower Priority)

I don't think that the OL layers is a QGIS/Atlas issue, if I'm not wrong the OL plugin does not supports printing.

#4 - 2014-03-23 03:21 AM - Anita Graser

For now, I can't test the OpenLayers-related issues since adding OpenLayers layers crashes master #9649

#5 - 2014-03-23 03:26 AM - Anita Graser

@Giovanni: I'm unsure if OL should support printing or not, see #6653 which argues that it should work.

#6 - 2014-03-23 03:38 AM - Anita Graser

ad point 5: A discussion has been started on the dev/ux lists:

    -  http://osgeo-org.1560.x6.nabble.com/Atlas-preview-td5103375.html

    -  http://osgeo-org.1560.x6.nabble.com/Re-Qgis-developer-Atlas-preview-td5103568.html

#7 - 2014-03-23 04:05 AM - Anita Graser

ad point 1: "Fixed scale" seems to work fine with metric CRS (e.g. EPSG:3035) but scale changes when WGS84 is used as a project CRS.

#8 - 2014-03-23 04:18 AM - Anita Graser

- Assignee set to Nyall Dawson

#9 - 2014-03-23 01:18 PM - Nyall Dawson

Can this please be split into multiple issues before too much discussion occurs? It's going to get very messy otherwise!

#10 - 2014-03-23 01:24 PM - Anita Graser

@Nyall: Can any of the 5 issues be discarded or should I open a ticket for each?

#11 - 2014-03-23 01:48 PM - Nyall Dawson

Perhaps number 3 (open layers related), but may as well make it too and I'll see what's happening there.

#12 - 2014-03-23 02:06 PM - Anita Graser

- Status changed from Open to Closed

Ok, I created 4 tickets. Didn't quite know what to do with the 2nd one ...

I guess I'll close this one now.
#13 - 2014-03-23 02:10 PM - Nyall Dawson

Thanks Anita! I think number 2 might just be a bit more info for number 1, at least that's how I interpreted it.
